<template>
    <div v-for="item in pdModal.modals" :key="item.title">
        <v-dialog v-model="isActive" width="500">
            <template v-slot:default="{ isActive }">
                <v-card>
                    <v-card-title class="!text-2xl !mb-0">
                        {{ item.title ? item.title : translate('modal.default.title') }}
                    </v-card-title>

                    <v-card-text>
                        <p class="text-base text-black">
                            {{ item.body ? item.body : translate('modal.default.body') }}
                        </p>
                    </v-card-text>

                    <v-card-actions>
                        <v-spacer></v-spacer>

                        <div class="flex grow justify-end gap-2">
                            <v-btn color="error" variant="flat" @click="cancelClick(item)">
                                {{ translate('global.cancel') }}
                            </v-btn>
                            <v-btn color="secondary" variant="outlined" @click="primaryClick(item)">
                                {{ item.primary.label ?? translate('global.buttons.accept') }}
                            </v-btn>
                        </div>
                    </v-card-actions>
                </v-card>
            </template>
        </v-dialog>
    </div>
</template>
<script setup lang="ts">
import { useModalStore } from '@/stores/modalStore';
import { ref } from 'vue';
import { useI18n } from 'vue-i18n';

const pdModal = useModalStore();
const { t: translate } = useI18n();
const isActive = ref(true);

const primaryClick = (item: any) => {
    pdModal.removeModal(item.id);
    item.primary.action();
};

const cancelClick = (item: any) => {
    pdModal.removeModal(item.id);
    item.cancel.action();
};
</script>
